const fs = require('fs');
const ProcessImage = require('./ProcessImage');
const imgConfig = require('./../../config/image.json');

async function AvatarImage(raw, hash) {
    try {
        if (!fs.existsSync(raw)) {
            console.error(`Plik wejściowy nie istnieje: ${raw}`);
            return null;
        }

        const avatarSize = imgConfig.avatar;
        return await ProcessImage(raw, hash, 'avatar', avatarSize);
    }
    catch(e) {
        console.error(`POSTER IMAGE ERROR: ${e}`);
    }
}

module.exports = AvatarImage;